import { Injectable, ɵɵdefineInjectable, Component, Input, NgModule } from '@angular/core';
import { of } from 'rxjs';
import { CommonModule } from '@angular/common';
import { RouterModule, PreloadAllModules } from '@angular/router';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/java-component-library.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class JavaComponentLibraryService {
    constructor() { }
    /**
     * @param {?} route
     * @param {?} load
     * @return {?}
     */
    preload(route, load) {
        if (route.data && route.data.preload) {
            return load();
        }
        else {
            return of(null);
        }
    }
}
JavaComponentLibraryService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
JavaComponentLibraryService.ctorParameters = () => [];
/** @nocollapse */ JavaComponentLibraryService.ngInjectableDef = ɵɵdefineInjectable({ factory: function JavaComponentLibraryService_Factory() { return new JavaComponentLibraryService(); }, token: JavaComponentLibraryService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * Generated from: lib/java-component-library.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class JavaComponentLibraryComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
JavaComponentLibraryComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-java-component-library',
                template: `<lib-mainpage></lib-mainpage>
    <br/>
    <p *ngIf="message">
      Girilen Karakter Sayısı {{message.length}}
    </p>
  `
            }] }
];
/** @nocollapse */
JavaComponentLibraryComponent.ctorParameters = () => [];
JavaComponentLibraryComponent.propDecorators = {
    message: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    JavaComponentLibraryComponent.prototype.message;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/userpage/userpage.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class UserpageComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
UserpageComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-userpage',
                template: "<p>userpage works!</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
UserpageComponent.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/stockpage/stockpage.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class StockpageComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
StockpageComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-stockpage',
                template: "<p>stockpage works!</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
StockpageComponent.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/mainpage/mainpage.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MainpageComponent {
    constructor() {
        this.types = null;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
    /**
     * @param {?} name
     * @return {?}
     */
    onclicktype(name) {
        this.types = name;
    }
}
MainpageComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-mainpage',
                template: "<p (click)=\"onclicktype('stockpage')\">stockpage</p>\n<p (click)=\"onclicktype('userpage')\">userpage</p>\n\n<lib-userpage *ngIf=\"types ==='userpage'\"></lib-userpage>\n<lib-stockpage *ngIf=\"types ==='stockpage'\"></lib-stockpage>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
MainpageComponent.ctorParameters = () => [];
if (false) {
    /** @type {?} */
    MainpageComponent.prototype.types;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/java-component-library.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const routes = [
    { path: '', redirectTo: 'home', pathMatch: 'full' }
];
class JavaComponentLibraryModule {
}
JavaComponentLibraryModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
                ],
                declarations: [
                    JavaComponentLibraryComponent,
                    UserpageComponent,
                    StockpageComponent,
                    MainpageComponent
                ],
                exports: [
                    JavaComponentLibraryComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: java-component-library.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { JavaComponentLibraryComponent, JavaComponentLibraryModule, JavaComponentLibraryService, MainpageComponent, StockpageComponent, UserpageComponent };
//# sourceMappingURL=java-component-library.js.map
