import { Injectable, ɵɵdefineInjectable, Component, Input, NgModule } from '@angular/core';
import { of } from 'rxjs';
import { CommonModule } from '@angular/common';
import { RouterModule, PreloadAllModules } from '@angular/router';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/java-component-library.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var JavaComponentLibraryService = /** @class */ (function () {
    function JavaComponentLibraryService() {
    }
    /**
     * @param {?} route
     * @param {?} load
     * @return {?}
     */
    JavaComponentLibraryService.prototype.preload = /**
     * @param {?} route
     * @param {?} load
     * @return {?}
     */
    function (route, load) {
        if (route.data && route.data.preload) {
            return load();
        }
        else {
            return of(null);
        }
    };
    JavaComponentLibraryService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    JavaComponentLibraryService.ctorParameters = function () { return []; };
    /** @nocollapse */ JavaComponentLibraryService.ngInjectableDef = ɵɵdefineInjectable({ factory: function JavaComponentLibraryService_Factory() { return new JavaComponentLibraryService(); }, token: JavaComponentLibraryService, providedIn: "root" });
    return JavaComponentLibraryService;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/java-component-library.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var JavaComponentLibraryComponent = /** @class */ (function () {
    function JavaComponentLibraryComponent() {
    }
    /**
     * @return {?}
     */
    JavaComponentLibraryComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    JavaComponentLibraryComponent.decorators = [
        { type: Component, args: [{
                    selector: 'lib-java-component-library',
                    template: "<lib-mainpage></lib-mainpage>\n    <br/>\n    <p *ngIf=\"message\">\n      Girilen Karakter Say\u0131s\u0131 {{message.length}}\n    </p>\n  "
                }] }
    ];
    /** @nocollapse */
    JavaComponentLibraryComponent.ctorParameters = function () { return []; };
    JavaComponentLibraryComponent.propDecorators = {
        message: [{ type: Input }]
    };
    return JavaComponentLibraryComponent;
}());
if (false) {
    /** @type {?} */
    JavaComponentLibraryComponent.prototype.message;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/userpage/userpage.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var UserpageComponent = /** @class */ (function () {
    function UserpageComponent() {
    }
    /**
     * @return {?}
     */
    UserpageComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    UserpageComponent.decorators = [
        { type: Component, args: [{
                    selector: 'lib-userpage',
                    template: "<p>userpage works!</p>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    UserpageComponent.ctorParameters = function () { return []; };
    return UserpageComponent;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/stockpage/stockpage.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var StockpageComponent = /** @class */ (function () {
    function StockpageComponent() {
    }
    /**
     * @return {?}
     */
    StockpageComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    StockpageComponent.decorators = [
        { type: Component, args: [{
                    selector: 'lib-stockpage',
                    template: "<p>stockpage works!</p>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    StockpageComponent.ctorParameters = function () { return []; };
    return StockpageComponent;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/mainpage/mainpage.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var MainpageComponent = /** @class */ (function () {
    function MainpageComponent() {
        this.types = null;
    }
    /**
     * @return {?}
     */
    MainpageComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @param {?} name
     * @return {?}
     */
    MainpageComponent.prototype.onclicktype = /**
     * @param {?} name
     * @return {?}
     */
    function (name) {
        this.types = name;
    };
    MainpageComponent.decorators = [
        { type: Component, args: [{
                    selector: 'lib-mainpage',
                    template: "<p (click)=\"onclicktype('stockpage')\">stockpage</p>\n<p (click)=\"onclicktype('userpage')\">userpage</p>\n\n<lib-userpage *ngIf=\"types ==='userpage'\"></lib-userpage>\n<lib-stockpage *ngIf=\"types ==='stockpage'\"></lib-stockpage>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    MainpageComponent.ctorParameters = function () { return []; };
    return MainpageComponent;
}());
if (false) {
    /** @type {?} */
    MainpageComponent.prototype.types;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/java-component-library.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var routes = [
    { path: '', redirectTo: 'home', pathMatch: 'full' }
];
var JavaComponentLibraryModule = /** @class */ (function () {
    function JavaComponentLibraryModule() {
    }
    JavaComponentLibraryModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
                    ],
                    declarations: [
                        JavaComponentLibraryComponent,
                        UserpageComponent,
                        StockpageComponent,
                        MainpageComponent
                    ],
                    exports: [
                        JavaComponentLibraryComponent
                    ]
                },] }
    ];
    return JavaComponentLibraryModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: java-component-library.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { JavaComponentLibraryComponent, JavaComponentLibraryModule, JavaComponentLibraryService, MainpageComponent, StockpageComponent, UserpageComponent };
//# sourceMappingURL=java-component-library.js.map
