(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('rxjs'), require('@angular/common'), require('@angular/router')) :
    typeof define === 'function' && define.amd ? define('java-component-library', ['exports', '@angular/core', 'rxjs', '@angular/common', '@angular/router'], factory) :
    (global = global || self, factory(global['java-component-library'] = {}, global.ng.core, global.rxjs, global.ng.common, global.ng.router));
}(this, (function (exports, core, rxjs, common, router) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/java-component-library.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var JavaComponentLibraryService = /** @class */ (function () {
        function JavaComponentLibraryService() {
        }
        /**
         * @param {?} route
         * @param {?} load
         * @return {?}
         */
        JavaComponentLibraryService.prototype.preload = /**
         * @param {?} route
         * @param {?} load
         * @return {?}
         */
        function (route, load) {
            if (route.data && route.data.preload) {
                return load();
            }
            else {
                return rxjs.of(null);
            }
        };
        JavaComponentLibraryService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        JavaComponentLibraryService.ctorParameters = function () { return []; };
        /** @nocollapse */ JavaComponentLibraryService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function JavaComponentLibraryService_Factory() { return new JavaComponentLibraryService(); }, token: JavaComponentLibraryService, providedIn: "root" });
        return JavaComponentLibraryService;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/java-component-library.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var JavaComponentLibraryComponent = /** @class */ (function () {
        function JavaComponentLibraryComponent() {
        }
        /**
         * @return {?}
         */
        JavaComponentLibraryComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        JavaComponentLibraryComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-java-component-library',
                        template: "<lib-mainpage></lib-mainpage>\n    <br/>\n    <p *ngIf=\"message\">\n      Girilen Karakter Say\u0131s\u0131 {{message.length}}\n    </p>\n  "
                    }] }
        ];
        /** @nocollapse */
        JavaComponentLibraryComponent.ctorParameters = function () { return []; };
        JavaComponentLibraryComponent.propDecorators = {
            message: [{ type: core.Input }]
        };
        return JavaComponentLibraryComponent;
    }());
    if (false) {
        /** @type {?} */
        JavaComponentLibraryComponent.prototype.message;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/userpage/userpage.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var UserpageComponent = /** @class */ (function () {
        function UserpageComponent() {
        }
        /**
         * @return {?}
         */
        UserpageComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        UserpageComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-userpage',
                        template: "<p>userpage works!</p>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        UserpageComponent.ctorParameters = function () { return []; };
        return UserpageComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/stockpage/stockpage.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StockpageComponent = /** @class */ (function () {
        function StockpageComponent() {
        }
        /**
         * @return {?}
         */
        StockpageComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        StockpageComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-stockpage',
                        template: "<p>stockpage works!</p>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        StockpageComponent.ctorParameters = function () { return []; };
        return StockpageComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/mainpage/mainpage.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var MainpageComponent = /** @class */ (function () {
        function MainpageComponent() {
            this.types = null;
        }
        /**
         * @return {?}
         */
        MainpageComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        /**
         * @param {?} name
         * @return {?}
         */
        MainpageComponent.prototype.onclicktype = /**
         * @param {?} name
         * @return {?}
         */
        function (name) {
            this.types = name;
        };
        MainpageComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-mainpage',
                        template: "<p (click)=\"onclicktype('stockpage')\">stockpage</p>\n<p (click)=\"onclicktype('userpage')\">userpage</p>\n\n<lib-userpage *ngIf=\"types ==='userpage'\"></lib-userpage>\n<lib-stockpage *ngIf=\"types ==='stockpage'\"></lib-stockpage>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        MainpageComponent.ctorParameters = function () { return []; };
        return MainpageComponent;
    }());
    if (false) {
        /** @type {?} */
        MainpageComponent.prototype.types;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/java-component-library.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var routes = [
        { path: '', redirectTo: 'home', pathMatch: 'full' }
    ];
    var JavaComponentLibraryModule = /** @class */ (function () {
        function JavaComponentLibraryModule() {
        }
        JavaComponentLibraryModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            router.RouterModule.forRoot(routes, { preloadingStrategy: router.PreloadAllModules })
                        ],
                        declarations: [
                            JavaComponentLibraryComponent,
                            UserpageComponent,
                            StockpageComponent,
                            MainpageComponent
                        ],
                        exports: [
                            JavaComponentLibraryComponent
                        ]
                    },] }
        ];
        return JavaComponentLibraryModule;
    }());

    exports.JavaComponentLibraryComponent = JavaComponentLibraryComponent;
    exports.JavaComponentLibraryModule = JavaComponentLibraryModule;
    exports.JavaComponentLibraryService = JavaComponentLibraryService;
    exports.MainpageComponent = MainpageComponent;
    exports.StockpageComponent = StockpageComponent;
    exports.UserpageComponent = UserpageComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=java-component-library.umd.js.map
